﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadHtmlChart-DataNavigation.aspx.cs" Inherits="Examples8_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<asp:XmlDataSource ID="Xmldatasource1" runat="server" DataFile="AlcoaData.xml" />
		<telerik:RadHtmlChart runat="server" ID="CandlestickChart" DataSourceID="Xmldatasource1" Layout="Stock" Width="800" Height="400"
			Transitions="true">
			<Appearance>
				<FillStyle BackgroundColor="White"></FillStyle>
			</Appearance>
			<ChartTitle Text="Alcoa Inc. (AA :NYSE)">
			</ChartTitle>
			<Legend>
				<Appearance Visible="false">
				</Appearance>
			</Legend>
			<PlotArea>
				<Appearance>
					<FillStyle BackgroundColor="White"></FillStyle>
				</Appearance>
				<XAxis AxisCrossingValue="0" Color="#aaaaaa" MajorTickType="Outside" MinorTickType="None" DataLabelsField="Date" Type="Date"
					Reversed="false">
					<LabelsAppearance RotationAngle="0" Skip="0">
						<TextStyle Color="#666666" />
					</LabelsAppearance>
					<MajorGridLines Visible="false"></MajorGridLines>
					<MinorGridLines Visible="false"></MinorGridLines>
					<TitleAppearance Position="Center" RotationAngle="0" Text="Date">
						<TextStyle Color="#555555" />
					</TitleAppearance>
				</XAxis>
				<YAxis AxisCrossingValue="0" Color="#aaaaaa" MajorTickType="Outside" MajorTickSize="4" MinorTickType="None" MinorTickSize="0"
					Reversed="false">
					<LabelsAppearance DataFormatString="{0:C}" Skip="0" Step="1">
						<TextStyle Color="#666666" />
					</LabelsAppearance>
					<MajorGridLines Visible="true" Color="#efefef" Width="1"></MajorGridLines>
					<MinorGridLines Visible="true" Width="0"></MinorGridLines>
					<TitleAppearance Position="Center" RotationAngle="0" Text="Price">
						<TextStyle Color="#555555" />
					</TitleAppearance>
				</YAxis>
				<Series>
<%--					<telerik:CandlestickSeries Name="Alcoa" DownColor="#828282" DataOpenField="Open" DataHighField="High" DataLowField="Low" DataCloseField="Close">
						<Appearance>
							<FillStyle BackgroundColor="#00ABA9"></FillStyle>
						</Appearance>
						<TooltipsAppearance Color="White"></TooltipsAppearance>
					</telerik:CandlestickSeries>--%>
					<telerik:ColumnSeries DataFieldY="Open" Stacked="true"></telerik:ColumnSeries>
					<telerik:ColumnSeries DataFieldY="Close"></telerik:ColumnSeries>
				</Series>
			</PlotArea>
			<Navigator Visible="true">
				<RangeSelector From="2010/01/01" To="2011/12/31" />
				<SelectionHint Visible="true" />
				<Series>
					<telerik:AreaSeries DataFieldY="Close">
						<Appearance FillStyle-BackgroundColor="#00aba9"></Appearance>
					</telerik:AreaSeries>
				</Series>
				<XAxis>
					<LabelsAppearance>
						<TextStyle Color="#666666" />
					</LabelsAppearance>
				</XAxis>
			</Navigator>
		</telerik:RadHtmlChart>


	</form>
</body>
</html>
